List Locations
GET /businesses/{businessId}/locations
GET
/businesses/{businessId}/locations
List all locations for a business.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” businessId
required
string format: uuid
Business ID
Responses
Section titled “ Responses ”A list of locations.
object
data
Array<object>
LocationA physical or virtual location where services can be provided
object
id
required
Unique identifier across the platform.
string format: uuid
name
required
The name of the location
string
Example
Downtown Office description
A description of the location
string
Example
Our main office in the city center instructions
Instructions for finding or accessing the location
string
Example
Enter through the main entrance and take the elevator to the 5th floor address
The physical address of the location
string
Example
123 Main St, New York, NY 10001 lat
Latitude of the location
number format: float
lng
Longitude of the location
number format: float
timezone
The timezone of the location
string
Example
America/New_York phone
Phone number of the location
string
email
Email address of the location
string format: email
pictureUrl
URL of the location’s picture
string format: uri
services
Services offered at the location
Array<object>
object
id
Unique identifier across the platform.
string format: uuid
name
Name of the service
string
createdAt
Timestamp of when the location was created
string format: date-time
updatedAt
Timestamp of when the location was last updated
string format: date-time
Location requires authentication
object
error
object
code
number
Example
404 title
string
Example
Not FoundLocation not found
object
error
object
code
number
Example
404 title
string
Example
Not Found